Package fr.gouv.vitam.functional.administration.common

# Class FileFormat

java.lang.Object
org.bson.Document
fr.gouv.vitam.common.database.server.mongodb.VitamDocument<FileFormat>
fr.gouv.vitam.functional.administration.common.FileFormat

All Implemented Interfaces:
  `Serializable`, `Map<String,Object>`, `org.bson.conversions.Bson`

public class FileFormat extends VitamDocument<FileFormat>
FileFormat define the file referential format for Vitam

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface java.util.Map

  `Map.Entry<K,V>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ALERT`
  FileFormat alert
  `static final String`
  `COMMENT`
  FileFormat comment
  `static final String`
  `CREATED_DATE`
  FileFormat Creation date
  `static final String`
  `EXTENSION`
  FileFormat extension
  `static final String`
  `GROUP`
  FileFormat group
  `static final String`
  `HAS_PRIORITY_OVER_FILE_FORMAT_ID`
  manage document priority
  `static final String`
  `MIME_TYPE`
  FileFormat Mime Type
  `static final String`
  `NAME`
  FileFormat name
  `static final String`
  `PUID`
  FileFormat PUID key
  `static final String`
  `UPDATE_DATE`
  Last update date
  `static final String`
  `VERSION`
  FileFormat Version
  `static final String`
  `VERSION_PRONOM`
  FileFormat Pronom version

  ### Fields inherited from class fr.gouv.vitam.common.database.server.mongodb.VitamDocument

  `ES_FILTER_OUT, ID, IMPLEMENTATIONVERSION, SCORE, SEDAVERSION, TENANT_ID`

  ### Fields inherited from interface org.bson.conversions.Bson

  `DEFAULT_CODEC_REGISTRY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FileFormat()`
  empty constructor
  `FileFormat(com.fasterxml.jackson.databind.JsonNode content)`
  `FileFormat(String content)`
  `FileFormat(org.bson.Document document)`
  constructor with Mongo Document

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VitamDocument<FileFormat>`
  `newInstance(com.fasterxml.jackson.databind.JsonNode content)`
  Make a new instance of the document with the given json
  `FileFormat`
  `setAlert(boolean alert)`
  setAlert
  `FileFormat`
  `setComment(String comment)`
  setComment
  `FileFormat`
  `setCreatedDate(String createdDate)`
  setCreatedDate
  `FileFormat`
  `setExtension(List<String> extension)`
  setExtension
  `FileFormat`
  `setGroup(String group)`
  setGroup
  `FileFormat`
  `setMimeType(String mimeType)`
  setMimeType
  `FileFormat`
  `setName(String name)`
  setName
  `FileFormat`
  `setPriorityOverIdList(List<String> priorityOverIdList)`
  setPriorityOverIdList
  `FileFormat`
  `setPronomVersion(String pronomVersion)`
  setPronomVersion
  `FileFormat`
  `setPUID(String puid)`
  setPUID
  `FileFormat`
  `setVersion(String version)`
  setVersion

  ### Methods inherited from class fr.gouv.vitam.common.database.server.mongodb.VitamDocument

  `checkId, getConcernedDiffLines, getId, getOriginalDiffLines, getTenantId, getUnifiedDiff, getVersion, toString, toStringDirect`

  ### Methods inherited from class org.bson.Document

  `append, clear, containsKey, containsValue, entrySet, equals, get, get, get, getBoolean, getBoolean, getDate, getDouble, getEmbedded, getEmbedded, getInteger, getInteger, getList, getList, getLong, getObjectId, getString, hashCode, isEmpty, keySet, parse, parse, put, putAll, remove, size, toBsonDocument, toJson, toJson, toJson, toJson, values`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.bson.conversions.Bson

  `toBsonDocument`

  ### Methods inherited from interface java.util.Map

  `compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

- ## Field Details

  - ### PUID

    public static final String PUID
    FileFormat PUID key
    See Also:
      - Constant Field Values

  - ### VERSION_PRONOM

    public static final String VERSION_PRONOM
    FileFormat Pronom version
    See Also:
      - Constant Field Values

  - ### VERSION

    public static final String VERSION
    FileFormat Version
    See Also:
      - Constant Field Values

  - ### CREATED_DATE

    public static final String CREATED_DATE
    FileFormat Creation date
    See Also:
      - Constant Field Values

  - ### UPDATE_DATE

    public static final String UPDATE_DATE
    Last update date
    See Also:
      - Constant Field Values

  - ### HAS_PRIORITY_OVER_FILE_FORMAT_ID

    public static final String HAS_PRIORITY_OVER_FILE_FORMAT_ID
    manage document priority
    See Also:
      - Constant Field Values

  - ### MIME_TYPE

    public static final String MIME_TYPE
    FileFormat Mime Type
    See Also:
      - Constant Field Values

  - ### NAME

    public static final String NAME
    FileFormat name
    See Also:
      - Constant Field Values

  - ### GROUP

    public static final String GROUP
    FileFormat group
    See Also:
      - Constant Field Values

  - ### ALERT

    public static final String ALERT
    FileFormat alert
    See Also:
      - Constant Field Values

  - ### COMMENT

    public static final String COMMENT
    FileFormat comment
    See Also:
      - Constant Field Values

  - ### EXTENSION

    public static final String EXTENSION
    FileFormat extension
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### FileFormat

    public FileFormat()
    empty constructor

  - ### FileFormat

    public FileFormat(org.bson.Document document)
    constructor with Mongo Document
    Parameters:
      `document` - as Document of bson

  - ### FileFormat

    public FileFormat(com.fasterxml.jackson.databind.JsonNode content)
    Parameters:
      `content` - in format JsonNode to create

  - ### FileFormat

    public FileFormat(String content)
    Parameters:
      `content` - in format String to create

- ## Method Details

  - ### newInstance

    public VitamDocument<FileFormat> newInstance(com.fasterxml.jackson.databind.JsonNode content)
    Description copied from class: `VitamDocument`
    Make a new instance of the document with the given json
    Specified by:
      `newInstance` in class `VitamDocument<FileFormat>`
    Parameters:
      `content` - document structure as json
    Returns:
      new document with the json as content

  - ### setPUID

    public FileFormat setPUID(String puid)
    setPUID
    Parameters:
      `puid` - as String
    Returns:
      FileFormat with puid setted

  - ### setExtension

    public FileFormat setExtension(List<String> extension)
    setExtension
    Parameters:
      `extension` - as a list of String
    Returns:
      FileFormat with extension setted

  - ### setName

    public FileFormat setName(String name)
    setName
    Parameters:
      `name` - as String
    Returns:
      FileFormat with name setted

  - ### setMimeType

    public FileFormat setMimeType(String mimeType)
    setMimeType
    Parameters:
      `mimeType` - as String
    Returns:
      FileFormat with mimeType setted

  - ### setVersion

    public FileFormat setVersion(String version)
    setVersion
    Parameters:
      `version` - as String
    Returns:
      FileFormat with version setted

  - ### setPriorityOverIdList

    public FileFormat setPriorityOverIdList(List<String> priorityOverIdList)
    setPriorityOverIdList
    Parameters:
      `priorityOverIdList` - as a list of String
    Returns:
      FileFormat

  - ### setCreatedDate

    public FileFormat setCreatedDate(String createdDate)
    setCreatedDate
    Parameters:
      `createdDate` - as String
    Returns:
      FileFormat with createdDate setted

  - ### setPronomVersion

    public FileFormat setPronomVersion(String pronomVersion)
    setPronomVersion
    Parameters:
      `pronomVersion` - as String
    Returns:
      FileFormat with pronomVersion setted

  - ### setComment

    public FileFormat setComment(String comment)
    setComment
    Parameters:
      `comment` - as String
    Returns:
      FileFormat with pronomVersion setted

  - ### setAlert

    public FileFormat setAlert(boolean alert)
    setAlert
    Parameters:
      `alert` - as boolean
    Returns:
      FileFormat with pronomVersion setted

  - ### setGroup

    public FileFormat setGroup(String group)
    setGroup
    Parameters:
      `group` - as String
    Returns:
      FileFormat with pronomVersion setted